petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecReciprocal

Replaces each component of a vector by its reciprocal.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecReciprocal(Vec vec)

Logically Collective on Vec

### Input Parameter

vec -the vector

### Output Parameter

vec -the vector reciprocal

### See Also

VecLog(), VecExp(), VecSqrtAbs()

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F90.html
src/snes/examples/tutorials/ex70.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html

### Implementations

VecReciprocal_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages